/************************************************************************
 *   mIRC MySQL misc.cpp
 *   Copyright (C) 2000-2003 Michael Reynolds
 *
 *   See file readme.txt for additional names of the programmers.
 *
 *   This file is part of mIRC MySQL.
 *
 *   mIRC MySQL is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   mIRC MySQL is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with mIRC MySQL; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#pragma check_stack(off)
#pragma comment(linker,"/OPT:NOWIN98")
#include "mircmysql.h"

char bench[] = {
#ifdef STATUS
# if STATUS == ALPHA
'a','l','p','h','a',
# elif STATUS == BETA
'b','e','t','a',
# elif STATUS == RC
'R','C',
# elif STATUS == STABLE
's','t','a','b','l','e',
# elif STATUS == RELEASE
'r','e','l','e','a','s','e',
# elif STATUS == CURRENT
'c','u','r','r','e','n','t',
# else
'u','n','k','n','o','w','n',
# endif
#else
'u','n','k','n','o','w','n',
#endif
'\0'
};

char *strmov(char *dst, const char *src) {
	for (*dst++=*src++;*dst;)
		;
	return dst-1;
}

char *m_strncpy(char *dst, const char *src, size_t len) {
	(void)strncpy(dst,src,len);
	dst[len]='\0';
	return dst;
}

char *m_strncat(char *dst, const char *src, size_t len) {
	(void)strncat(dst,src,len);
	dst[len]='\0';
	return dst;
}
