/************************************************************************
 *   mIRC MySQL mysql.cpp
 *   Copyright (C) 2000-2003 Michael Reynolds
 *
 *   See file readme.txt for additional names of the programmers.
 *
 *   This file is part of mIRC MySQL.
 *
 *   mIRC MySQL is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   mIRC MySQL is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with mIRC MySQL; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#pragma check_stack(off)
#pragma comment(linker,"/OPT:NOWIN98")
#include "mircmysql.h"

int invalidversion=0;

int check_version(int popup) {
	if (stricmp(mysql_get_client_info(),MYSQL_SERVER_VERSION) != 0) {
		invalidversion=1;
		if (popup==1)
			MB("The version of libmysql you attempted to use is\nincompatible with this version of mIRC MySQL.\nYou have %s, but need %s.",mysql_get_client_info(),MYSQL_SERVER_VERSION);
		return 1;
	}
	return 0;
}

extern "C" __declspec(dllexport) void __stdcall LoadDll(LOADINFO* loadinfo) {
	if (check_version(0))
		loadinfo->mKeep = FALSE;
	else
		loadinfo->mKeep = TRUE;
	return;
}

unsigned long base64_to_int(char *buf) {
	int i = 0;
	while (*buf) {   
		i = i << 6;   
		i += base64to[(int) *buf];
		buf++;
	}
	return i;
}

char *int_to_base64(unsigned long val) {
	static char buf_base64[12];
	int i = 11;
	buf_base64[11] = 0;
	if (!val) {
		buf_base64[10] = 'A';
		return buf_base64 + 10;  
	}
	while (val) {
		i--;
		buf_base64[i] = tobase64array[val & 0x3f];
		val = val >> 6;
	}
	return buf_base64 + i;   
}

void MB(const char *message,...) {
	char temp[BUFSIZE];
	va_list args;
	va_start(args,message);
	vsnprintf(temp,BUFSIZE,message,args);
	MessageBox(NULL,temp,"Message",MB_OK);
	va_end(args);
}

extern "C" __declspec(dllexport) int __stdcall UnloadDll(int manual) {
	if (!manual || manual)
		for (unsigned long i=labelcount();i=labelcount(),i!=0;)
			removelabel(findlabel_by_digit(1));
	return 0;
}
